Orders
Fetch All Orders (With Expanded Payments)
Expand payments object when fetching Order details using Razorpay Orders API.
GET
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve the details of all the orders that you created, with the payment parameter expanded.
Query Parameters
string
Use to expand the payments made for an order.
Response Parameters
string
The unique identifier of the order.
integer
The amount for which the order was created, in currency subunits. For example, for an amount of , enter
29500.string
Name of the entity. Here, it is
order.integer
The amount paid against the order.
integer
The amount pending against the order.
string
required
ISO code for the currency in which you want to accept the payment. The default length is 3 characters. Refer to the list of supported currencies.
string
Receipt number that corresponds to this order. Can have a maximum length of 40 characters and has to be unique.
string
The status of the order. Possible values:
created: When you create an order it is in thecreatedstate. It stays in this state till a payment is attempted on it.attempted: An order moves fromcreatedtoattemptedstate when a payment is first attempted on it. It remains in theattemptedstate till one payment associated with that order is captured.paid: After the successful capture of the payment, the order moves to thepaidstate. No further payment requests are permitted once the order moves to thepaidstate. The order stays in thepaidstate even if the payment associated with the order is refunded.
integer
The number of payment attempts, successful and failed, that have been made against this order.
json object
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.integer
Indicates the Unix timestamp when this order was created.
object
Details of the payment.
string
Unique identifier of the payment.
string
Indicates the type of entity.
integer
The payment amount in currency subunits. For example, for an amount of enter 100.
string
The currency in which the payment is made.
string
The status of the payment. Possible values:
createdauthorizedcapturedrefundedfailed
string
The payment method used for making the payment. Possible values:
cardnetbankingwalletupiemi
string
Description of the payment, if any.
boolean
Indicates whether the payment is done via an international card or a domestic one. Possible values:
true: Payment made using international card.false: Payment not made using international card.
string
The refund status of the payment. Possible values:
nullpartialfull
integer
The amount refunded in currency subunits. For example, if
amount_refunded = 100, it is equal to .boolean
Indicates if the payment is captured.
string
Customer email address used for the payment.
string
Customer contact number used for the payment.
integer
Fee (including tax) charged by us.
integer
Tax charged for the payment.
string
Error that occurred during payment. For example,
BAD_REQUEST_ERROR.string
Description of the error that occurred during payment. For example,
Payment processing failed because of incorrect OTP.string
The point of failure. For example,
customer.string
The stage where the transaction failure occurred. The stages can vary depending on the payment method used to complete the transaction. For example,
payment_authentication.string
The exact error reason. For example,
incorrect_otp.json object
Contains user-defined fields, stored for reference purposes.
integer
Timestamp, in UNIX format, on which the payment was created.
string
The unique identifier of the card used by the customer to make the payment.
string
The name of the wallet used by the customer to make the payment. For example,
payzapp.array
A dynamic array consisting unique reference numbers.
string
A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
string
A unique reference number generated for RuPay card payments.
string
A unique reference number provided by the banking partner in case of netbanking payments.
string
The 4-character bank code which the customer’s account is associated with. For example,
UTIB for Axis Bank.object
Details of the UPI payment received. Applicable if
method is upi.string
The payment method used for making the payment. Possible values:
bank_accountcredit_cardwallet
string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example,
gauravkumar@exampleupi.string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example,
gauravkumar@exampleupi.string
Unique identifier of the offer associated with this order.
object
The recurring-payment token created when the order was authorised on a subscription / recurring flow. Present on orders that resulted in a token-bearing payment.
string
The authentication type used to create the token. One of
3ds, otp, aadhaar, or physical for emandate / mandate_otp for UPI.integer
Unix timestamp when the token expires.
string
Human-readable reason if the token-creation flow failed.
null on success.integer
Amount of the first recurring payment, in the smallest currency unit (paise for INR).
string
Frequency of the recurring debit. One of
as_presented, daily, weekly, monthly, yearly, etc.integer
Maximum amount that can be debited per cycle, in the smallest currency unit (paise for INR).
string
Lifecycle state of the recurring token. One of
initiated, confirmed, rejected, cancelled, paused, or expired.